Skip to content

Update connection

PATCH
/connections/{id}
curl --request PATCH \
--url https://api.reflexdb.cloud/v1/connections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "mysqlHost": "example", "mysqlPort": 1, "availableSchemas": [ "example" ], "mysqlUser": "example", "mysqlPassword": "example", "syncMode": "poll", "syncInterval": 1 }'

Partially updates connection settings. Removing a schema that is in use by an instance returns 409. The updated credentials will be picked up on the next provision, rebuild, or unpause.

id
required
string format: uuid

Connection ID

Media type application/json
UpdateConnectionBody

Partial connection update. Removing a schema that is in use by an instance returns 409.

object
name
string
>= 1 characters <= 100 characters
mysqlHost
string
>= 1 characters
mysqlPort
integer
>= 1 <= 65535
availableSchemas
Array<string>
>= 1 items
mysqlUser
string
>= 1 characters
mysqlPassword
string
>= 1 characters
syncMode
string
Allowed values: poll binlog logical cdc
syncInterval
integer
>= 5 <= 3600

A source database connection shared by one or more database instances

Media type application/json
Connection

A source database connection shared by one or more database instances

object
id
required
string format: uuid
customerId
required
string format: uuid
name
required
string
backend
required

Source database engine

string
Allowed values: mysql postgres mssql
mysqlHost
required
string
mysqlPort
required
integer
>= 1 <= 65535
availableSchemas
required

MySQL database names available to instances on this connection

Array<string>
mysqlUser
required
string
allowedSyncModes
required

Sync modes available to instances

Array<string>
Allowed values: poll binlog logical cdc
minSyncInterval
required

Minimum polling interval in seconds — instances may use a higher value

integer
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
{
"backend": "mysql",
"allowedSyncModes": [
"poll"
]
}

Default Response

Media type application/json
Error
object
error
required
string
message
string
Example generated
{
"error": "example",
"message": "example"
}

Default Response

Media type application/json
Error
object
error
required
string
message
string
Example generated
{
"error": "example",
"message": "example"
}

Default Response

Media type application/json
Error
object
error
required
string
message
string
Example generated
{
"error": "example",
"message": "example"
}